Loading...
Searching...
No Matches
QGpgME::ChangePasswdJob Class Referenceabstract

An abstract base class to change a key's passphrase asynchronously. More...

`#include <changepasswdjob.h>`

Inheritance diagram for QGpgME::ChangePasswdJob:
[legend]
Collaboration diagram for QGpgME::ChangePasswdJob:
[legend]

## Signals

void | result (const GpgME::Error &result, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()

## Public Member Functions

virtual GpgME::Error | start (const GpgME::Key &key)=0
Public Member Functions inherited from QGpgME::Job
virtual QString | auditLogAsHtml () const
virtual GpgME::Error | auditLogError () const
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Protected Member Functions

| ChangePasswdJob (QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)

## Additional Inherited Members

Public Slots inherited from QGpgME::Job
virtual void | slotCancel ()=0
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Detailed Description

An abstract base class to change a key's passphrase asynchronously.

To use a ChangePasswdJob, first obtain an instance from the CryptoBackend implementation, connect the progress() and result() signals to suitable slots and then start the job with a call to start(). This call might fail, in which case the ChangePasswdJob instance will have scheduled it's own destruction with a call to QObject::deleteLater().

After result() is emitted, the ChangePasswdJob will schedule it's own destruction by calling QObject::deleteLater().

## Member Function Documentation

## start()

virtual GpgME::Error QGpgME::ChangePasswdJob::start | ( | const GpgME::Key & | key | ) |

pure virtual

Starts the passphrase-change operation. key is the key to change the passphrase of. The passphrase is queried by the backend directly, you cannot give it to the job beforehand.

Implemented in QGpgME::QGpgMEChangePasswdJob.

The documentation for this class was generated from the following files:

- changepasswdjob.h
- changepasswdjob.cpp